This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 863796 - Review Request: printrun - RepRap printer interface and tools
Review Request: printrun - RepRap printer interface and tools
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pete Travis
Fedora Extras Quality Assurance
NotReady
:
Depends On: 863793
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 08:56 EDT by Miro Hrončok
Modified: 2013-02-01 23:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 23:16:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
me: fedora_requires_release_note+
me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-10-07 08:56:56 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/printrun-0.0-7.20120924gitb6935b93.fc17.src.rpm
Description: Printrun is a set of G-code sending applications for RepRap.
It consists of printcore (dumb G-code sender), pronsole (featured command line
G-code sender), pronterface (featured G-code sender with graphical user
interface), and a small collection of helpful scripts. Together with skeinforge
they form a pretty powerful softwarecombo. This package installs whole Printrun.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-10-09 14:23:07 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/printrun-0.0-8.20120924gitb6935b93.fc17.src.rpm

Links (ln -s) skeinforge dir, requires exact versions of subpackages.

I've got W: dangling-relative-symlink now, but I think it is correct to link to a file that belongs to a package I require, right?
Comment 2 Miro Hrončok 2012-10-09 17:24:16 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/printrun-0.0-9.20120924gitb6935b93.fc17.src.rpm

Updated bash scripts (lounchers), now, they don't cd at the beginning (except plater, which is necessary to run from its dir).
Comment 3 Miro Hrončok 2012-10-29 13:00:23 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: http://repo.hroncok.cz/SRPMS/printrun-0.0-10.20120924gitb6935b93.fc17.src.rpm

- Switched generic names and names in desktop files
- Don't use rm, cp and ln -s macros
Comment 4 Miro Hrončok 2012-10-31 14:05:25 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-10.20120924gitb6935b93.fc17.src.rpm

- Nothing has changed, I've just moved SRPM to a new location
Comment 5 Miro Hrončok 2012-11-24 10:01:15 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-12.20120924gitb6935b93.fc17.src.rpm

New upstream "version" (merge from experimetal)
Commented macros in comments
Redone, using setup.py now
Comment 6 Volker Fröhlich 2012-11-26 15:18:40 EST
The last SRPM link is dead.
Comment 7 Miro Hrončok 2012-11-26 15:54:40 EST
Sorry for that. I've only raised the revision number in the link and forget to change the commit number and date.

Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-12.20121103git6fa47668f2.fc17.src.rpm
Comment 8 Miro Hrončok 2012-12-30 01:47:58 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-13.20121103git6fa47668f2.fc17.src.rpm

- Do not download the desktop files from my GitHub
Comment 9 Miro Hrončok 2012-12-31 03:51:25 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-14.20121103git6fa47668f2.fc17.src.rpm

- Changed location of skeinforge from %{_datadir}/%{name}/
                                   to %{python_sitelib}/%{name}
Comment 12 Pete Travis 2013-01-11 02:05:53 EST
Hey Miro,

I'd like to tackle this review, assuming you have a sponsor. Please bear with me - I'm new at this, but I'm not afraid to ask for help :)  A couple comments after a quick look:

Cited license is AGPLv3, but the included COPYING file is GPLv3.  These should match.

Not all included files use the same licence, and some files do not declare a license.

The relationship between `printrun` and `skeinforge` is a little confusing. The SPEC for printrun looks like it is working with skeinforge files and directories. You'll want to make sure there are no conflicts between these related packages.

There are no upstream URLs for Source1, Source2, Source3. All sources should have a valid URL.

You're using the generated pronterface.lang with the common package; it should probably go with the pronterface files


rpmlint complains about macros in changelog; you probably don't need to be so specific about the change made.

The locales loop is failing in my build log, you should investigate.

I hope this helps get the ball rolling, will check in again soon.
Comment 13 Miro Hrončok 2013-01-12 12:18:32 EST
(In reply to comment #12)
> I'd like to tackle this review, assuming you have a sponsor.
Yes I have, you can check such things here: https://admin.fedoraproject.org/accounts/group/members/packager/*

> Please bear
> with me - I'm new at this, but I'm not afraid to ask for help :)
Don't worry, we are both new at this :)

> Cited license is AGPLv3, but the included COPYING file is GPLv3.  These
> should match.
My fault, I probably left it there when creating the spec from another spec.

> Not all included files use the same licence, and some files do not declare a
> license.
I'll investigate this.

> The relationship between `printrun` and `skeinforge` is a little confusing.
> The SPEC for printrun looks like it is working with skeinforge files and
> directories. You'll want to make sure there are no conflicts between these
> related packages.
Well, the only thing that is done with Skeinforge is (or should be, feel free to check it) changing the path where Printrun looks for Skeinforge from relative skeinforge dir (inside printrun dir) to absolute path in system (/usr/lib/...).
This should be harmless, because the skeinforge package is required.

> There are no upstream URLs for Source1, Source2, Source3. All sources should
> have a valid URL.
Those are mine. Consider them as part of the SRPM/spec.

> You're using the generated pronterface.lang with the common package; it
> should probably go with the pronterface files
It might seem so, but it contains strings for both pronterface and pronsole.

> rpmlint complains about macros in changelog; you probably don't need to be
> so specific about the change made.
I forgot to %%comment them out. Will do that.

> The locales loop is failing in my build log, you should investigate.
Could you please show me the log?

> I hope this helps get the ball rolling, will check in again soon.
Thanks a lot.
Comment 14 Miro Hrončok 2013-01-12 16:50:41 EST
(In reply to comment #12)
> Cited license is AGPLv3, but the included COPYING file is GPLv3.  These
> should match.
I see GPLv3 in the spec. Are we looking at the same file?
Comment 15 Miro Hrončok 2013-01-13 13:26:19 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-16.20121103git094dffa.fc18.src.rpm

- New upstream "version", where everything is GPLv3+
- pronsole.ico and gcoder.py now part of setup.py
- Skeinforge path changing moved from %%install to %%prep
- Commented macros in changelog
- Use skeinforge launchers in default settings
- Pronterface lang moved from common to pronsole, as pronsole is required by pronterface
Comment 16 Miro Hrončok 2013-01-13 13:31:54 EST
- Pronterface lang moved from common to pronterface, is not needed by pronsole any more
Comment 18 Miro Hrončok 2013-01-13 17:25:14 EST
I'v e forgot to bump the date in the revision number.

Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-17.20130113git5897fbc.fc18.src.rpm
Comment 20 Miro Hrončok 2013-01-19 14:21:31 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/printrun.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/printrun-0.0-19.20130113git5897fbc.fc18.src.rpm

- Removed run-time deps, that are resolved automatically
Comment 21 Pete Travis 2013-01-19 15:03:02 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
 x	-- No licensing issues.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
 x	-- No compiler flag issues.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
 x	-- No bundled libraries.
[ ]: Changelog in prescribed format.
 x	-- Changelog is properly formatted
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
 x	-- No permissibility issues.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
 - 	-- No macros in summary, descriptions	
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
 -	-- No development files
[ ]: Package requires other packages for directories it uses.
 x	-- No directory conflicts
[ ]: Package uses nothing in %doc for runtime.
 x	-- Only apropriate files in %doc
[ ]: Package is not known to require ExcludeArch.
 -	-- No arch issues.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package -n
     plater, %package common, %package -n pronterface, %package -n pronsole
 -	-- noarch packages; dependencies are appropriately declared.
[ ]: Package complies to the Packaging Guidelines
 x      --
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "GPL (v3 or later)", "Unknown or
     generated". 3 files have unknown license. Detailed output of licensecheck
     in /home/makerpm/rpmbuild/863796-printrun/licensecheck.txt
 x	-- Undeclared individual files are inheriting license of project	
[ ]: License file installed when any subpackage combination is installed.
 -	-- No upstream license files; please raise the issue upstream
[ ]: The spec file handles locales properly.
 x	-- Spec file is not translating, no errors.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
 x	-- 
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
 x	-- No name issues.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
 x	-- No Conflicts.
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
 x	-- FHS Compliant.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
 - 	-- not applicable	
[ ]: Package must own all directories that it creates.
 x  	-- No directory conflicts.		
[ ]: Package does not own files or directories owned by other packages.
 x	-- No file conflicts.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
 x	-- Depends on other package recently reviewed; tested to install properly when dependencies are available.
[ ]: Package is not relocatable.
 x 	--
[ ]: Requires correct, justified where necessary.
 x 	-- Requires are correct and trimmed.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
 x	--
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
 -	-- Not required
[x]: File names are valid UTF-8.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 256000 bytes in 20 files.
 -	-- not required.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[ ]: Binary eggs must be removed in %prep
     Note: Cannot find sources under BUILD (using prebuilt sources?)
 -	-- No binaries, just an egg-defined dir in site-packages.
[ ]: Python eggs must not download any dependencies during the build process.
 x	-- 
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
 x	-- Package does provide egg info
[ ]: Package meets the Packaging Guidelines::Python
 x	--


===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
 - 	-- No license files included, you should query upstream
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
 x	--
[ ]: Package functions as described.
 x	-- 
[ ]: Latest version is packaged.
 x	--	
[ ]: Package does not include license text files separate from upstream.
 x	--
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
 x	-- Filed and cited.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source2 (pronterface.desktop) Source3 (plater.desktop) Source1
     (pronsole.desktop)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
 x	-- rpmlint only complains about spelling of subpackage names. Package does build.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


I see no issues here. Thanks for your contribution, Miro! This package is APPROVED.
Comment 22 Miro Hrončok 2013-01-19 15:13:57 EST
New Package SCM Request
=======================
Package Name: printrun
Short Description: RepRap printer interface and tools
Owners: churchyard 
Branches: f17 f18
Comment 23 Jon Ciesla 2013-01-22 08:58:59 EST
Git done (by process-git-requests).
Comment 24 Fedora Update System 2013-01-23 10:48:42 EST
printrun-0.0-19.20130113git5897fbc.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/printrun-0.0-19.20130113git5897fbc.fc18
Comment 25 Fedora Update System 2013-01-23 10:50:07 EST
printrun-0.0-19.20130113git5897fbc.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/printrun-0.0-19.20130113git5897fbc.fc17
Comment 26 Fedora Update System 2013-01-23 11:55:17 EST
printrun-0.0-22.20130123git71e5da0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/printrun-0.0-22.20130123git71e5da0.fc17
Comment 27 Fedora Update System 2013-01-23 11:55:58 EST
printrun-0.0-22.20130123git71e5da0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/printrun-0.0-22.20130123git71e5da0.fc18
Comment 28 Fedora Update System 2013-01-24 17:33:43 EST
printrun-0.0-22.20130123git71e5da0.fc18 has been pushed to the Fedora 18 testing repository.
Comment 29 Fedora Update System 2013-02-01 23:16:55 EST
printrun-0.0-22.20130123git71e5da0.fc17 has been pushed to the Fedora 17 stable repository.
Comment 30 Fedora Update System 2013-02-01 23:19:21 EST
printrun-0.0-22.20130123git71e5da0.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.